// C Source File
// Created 24/03/01; 12:12:17

// #define OPTIMIZE_ROM_CALLS // Use ROM Call Optimization

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files
#include "defsbox1.h"

short _ti89;                  // Produce .89Z File

// Main Function
void _main(void)
{
	int a;
	float   ang,ca;
	int i=0;
	unsigned int p=0;
	unsigned char vs[2000];

	pont rmark[MAXMARKS];
	pont mark[]={	{25,25,25},{-25,25,25},{-25,-25,25},{25,-25,25},
						{25,25,-25},{-25,25,-25},{-25,-25,-25},{25,-25,-25}};
	ligne lines[]={	{0,1},{1,2},{2,3},{3,0},
						{4,5},{5,6},{6,7},{7,4},
						{0,4},{1,5},{2,6},{3,7}};
	//pont angle={1.5*PI/180,2.5*PI,3.5*PI/180};
	pont angle={PI/180,PI,PI};
	
	ang = 0;
	ca = 6.283185307 / 360;
	clrscr();
	printf("Loading tables...");
	for(a=0;a<360;a++){
		
		c[a] = (cos(ang/360*6.283185307));
		s[a] = (sin(ang/360*6.283185307));
		//c[a]=cos(a*2*PI/180);
		//s[a]=sin(a*2*PI/180);
		printf_xy(10,10,"%f   %i",c[a],(100*p/360));
		p++;
		//ang += ca;
		ang++;
	}
	do{
		memset(vs,0,2000);
		PortSet(vs,159,99);
		for(a=0;a<8;a++){
			rmark[a]=projpoint(mark[a]=rotpoint(mark[a],angle));
		}
		
		for(a=0;a<12;a++){
			DrawLine((short)rmark[lines[a].m1].x,(short)rmark[lines[a].m1].y,
						(short)rmark[lines[a].m2].x,(short)rmark[lines[a].m2].y,A_NORMAL);
		}
		printf_xy(0,0,"%i",i);
		affbackbuf(vs);
		i++;
	}while(!kbhit());
	clrscr();
}
