// C Header File
// Created 24/03/01; 12:15:04
#define MAXMARKS 8
#define MAXLINES 12
#define DIST 256
#define MIDDLEX 80
#define MIDDLEY 50

	float c[360];
	float s[360];

typedef struct{
	float x;
	float y;
	float z;
}pont;

typedef struct{
	short m1;
	short m2;
}ligne;

pont rotpoint(pont i, pont a){
	pont r;
	
/*	r.x=cos(a.z)*i.x-sin(a.z)*i.y;
	r.y=sin(a.z)*i.x+cos(a.z)*i.y;
	r.z=i.z;
	
	i.x=cos(a.y)*r.x-sin(a.y)*r.z;
	i.y=r.y;
	i.z=sin(a.y)*r.x+cos(a.y)*r.z;
	
	r.x=i.x;
	r.y=sin(a.x)*i.z+cos(a.x)*i.y;
	r.z=cos(a.x)*i.z-sin(a.x)*i.y;*/
	
	r.x=c[(int)a.z]*i.x-s[(int)a.z]*i.y;
	r.y=s[(int)a.z]*i.x+c[(int)a.z]*i.y;
	r.z=i.z;
	
	i.x=c[(int)a.y]*r.x-s[(int)a.y]*r.z;
	i.y=r.y;
	i.z=s[(int)a.y]*r.x+c[(int)a.y]*r.z;
	
	r.x=i.x;
	r.y=s[(int)a.x]*i.z+c[(int)a.x]*i.y;
	r.z=c[(int)a.x]*i.z-s[(int)a.x]*i.y;
	
	return r;
}

pont projpoint(pont i){
	long t;
	pont r;
	
	t=DIST+i.z;
	
	r.z=i.z;
	
	if(t){
		r.x=i.x*DIST/t+MIDDLEX;
		r.y=i.y*DIST/t+MIDDLEY;
	}else{
		r.x=i.x+MIDDLEX;
		r.y=i.y+MIDDLEY;
	}
	
	return r;
}

void affbackbuf(void *layer){
	 unsigned char* plane2;
    unsigned char* dest1;
    unsigned char* src1;
    int            loop;
    plane2 = LCD_MEM;
    src1  = layer;
	 dest1 = plane2;
	 SetPlane(1);
	 clrscr();
    for (loop=0;loop<100;loop++,src1+=20,dest1+=30) {
        memcpy(dest1,src1,20);
    }
}
